#!/bin/bash
#
# Set up one primary server (A), a standby (B), and a
# cascaded standbh (C)

set -e
ulimit -c unlimited

killall -9 postgres postmaster || true
rm -rf /data/node-a /data/node-b /data/node-c

initdb -k -D /data/node-a

cat >> /data/node-a/postgresql.conf <<EOF
fsync=off
jit=off
min_wal_size='128MB'
max_wal_size='128MB'
wal_keep_size='1GB'
max_locks_per_transaction = 200
EOF

postmaster -p5400 -D /data/node-a &
sleep 0.50

pg_basebackup -R -D /data/node-b -d "port=5400 application_name=node-b"
postmaster -p5401 -D /data/node-b &
sleep 0.50

pg_basebackup -R -D /data/node-c -d "port=5401 application_name=node-c"

postmaster -D /data/node-c -p 5402 &

echo "port=5400" >> /data/node-a/postgresql.conf
echo "port=5401" >> /data/node-b/postgresql.conf
echo "port=5402" >> /data/node-c/postgresql.conf
