#!/bin/bash
#
# Promote cascaded standby server (C), run some updates on it,
# and rewind it to make it a cascaded standby again.
#

set -e
ulimit -c unlimited

psql postgres -c "checkpoint" -p 5400

pg_ctl -D /data/node-c promote

psql postgres -c "update testapp_tab set updatecount = -updatecount where random() < 0.5" -p 5402

psql postgres -c "select sum(updatecount), sum(balance) from testapp_tab" -p 5402

#psql postgres -c "drop table testapp_tab" -p 5402
#psql postgres -c "delete from testapp_tab where id > 4" -p 5402
#psql postgres -c "update testapp_tab set updatecount = updatecount" -p 5402
#psql postgres -c "vacuum verbose testapp_tab" -p 5402

#psql postgres -c "delete from blaah where i > 900000" -p 5402
#psql postgres -c "vacuum verbose blaah" -p 5402


#psql postgres -c "drop table if exists anothertab" -p 5402
psql postgres -c "drop schema if exists largeschema cascade" -p 5402

pg_ctl -D /data/node-c stop -m immediate

pg_rewind -D /data/node-c --source-server='port=5401 dbname=postgres application_name=node-c-rewinded' -P -R

sed -i  -s 's/port=.*/port=5402/'  /data/node-c/postgresql.conf

pg_ctl start -D /data/node-c

psql postgres -c "select sum(updatecount), sum(balance) from testapp_tab" -p 5402
#psql postgres -c "select count(*) from anothertab" -p 5402
